package cn.com.countrygarden.bi.main.model.excontract.dto;

import cn.com.countrygarden.bi.main.model.excontract.ContractRecord;

import java.math.BigDecimal;

/**
 * @program: DPshow_depart
 * @description: 公共绿化养护 DTO
 * @author: SignV
 * @create: 2018-09-12 14:43
 **/
public class GreeningMaintenance extends ContractRecord {
    /*----------------------------------------监督员巡查评定  start-----------------------------------------------*/

    private int masterNum;                      //未整改或整改效果达不到甲方要求(个)
    private int masterNotNum;                   //反复未整改(个)
    private double masterScore;                 //扣分

    /*----------------------------------------监督员巡查评定  end-----------------------------------------------*/


    /*----------------------------------------监督部门与乙方负责人联合检查评定  start-----------------------------------------------*/

    private int abCommonNum;                    //一般不合格(项)
    private int abSeriousNum;                   //严重不合格(项)
    private int abNum;                          //未整改或整改效果达不到甲方要求(个)
    private int abNotNum;                       //反复未整改(个)
    private double abNotNumScore;               //扣分

    /*----------------------------------------监督部门与乙方负责人联合检查评定  end-----------------------------------------------*/


    /*---------------------------------------区域物业品质检查评定  start-----------------------------------------------*/

    private int regionCommonNum;                //一般不合格(项)
    private int regionSeriousNum;               //严重不合格(项)
    private int regionNum;                      //未整改或整改效果达不到合同要求
    private int regionNotNum;                   //反复未整改(个)
    private double regionScore;                 //扣分

    /*----------------------------------------区域物业品质检查评定  end-----------------------------------------------*/


    /*----------------------------------------甲方总公司品质管理中心品质抽查评定  start-----------------------------------------------*/

    private int headquartersSeriousNum;         //严重不合格(项)
    private double headquartersSocre;           //扣分(分)

    /*----------------------------------------甲方总公司品质管理中心品质抽查评定  end-----------------------------------------------*/


    public int getMasterNum() {
        return masterNum;
    }

    public void setMasterNum(int masterNum) {
        this.masterNum = masterNum;
    }

    public int getMasterNotNum() {
        return masterNotNum;
    }

    public void setMasterNotNum(int masterNotNum) {
        this.masterNotNum = masterNotNum;
    }

    public double getMasterScore() {
        return masterScore;
    }

    public void setMasterScore(double masterScore) {
        this.masterScore = masterScore;
    }

    public int getAbCommonNum() {
        return abCommonNum;
    }

    public void setAbCommonNum(int abCommonNum) {
        this.abCommonNum = abCommonNum;
    }

    public int getAbSeriousNum() {
        return abSeriousNum;
    }

    public void setAbSeriousNum(int abSeriousNum) {
        this.abSeriousNum = abSeriousNum;
    }

    public int getAbNum() {
        return abNum;
    }

    public void setAbNum(int abNum) {
        this.abNum = abNum;
    }

    public int getAbNotNum() {
        return abNotNum;
    }

    public void setAbNotNum(int abNotNum) {
        this.abNotNum = abNotNum;
    }

    public double getAbNotNumScore() {
        return abNotNumScore;
    }

    public void setAbNotNumScore(double abNotNumScore) {
        this.abNotNumScore = abNotNumScore;
    }

    public int getRegionCommonNum() {
        return regionCommonNum;
    }

    public void setRegionCommonNum(int regionCommonNum) {
        this.regionCommonNum = regionCommonNum;
    }

    public int getRegionSeriousNum() {
        return regionSeriousNum;
    }

    public void setRegionSeriousNum(int regionSeriousNum) {
        this.regionSeriousNum = regionSeriousNum;
    }

    public int getRegionNum() {
        return regionNum;
    }

    public void setRegionNum(int regionNum) {
        this.regionNum = regionNum;
    }

    public int getRegionNotNum() {
        return regionNotNum;
    }

    public void setRegionNotNum(int regionNotNum) {
        this.regionNotNum = regionNotNum;
    }

    public double getRegionScore() {
        return regionScore;
    }

    public void setRegionScore(double regionScore) {
        this.regionScore = regionScore;
    }

    public int getHeadquartersSeriousNum() {
        return headquartersSeriousNum;
    }

    public void setHeadquartersSeriousNum(int headquartersSeriousNum) {
        this.headquartersSeriousNum = headquartersSeriousNum;
    }

    public double getHeadquartersSocre() {
        return headquartersSocre;
    }

    public void setHeadquartersSocre(double headquartersSocre) {
        this.headquartersSocre = headquartersSocre;
    }
}
